#!/bin/bash

# scrapea árboles

CURRENTDIR=`pwd`

cd
virtualenv esridump
source esridump/bin/activate
pip install esridump

# Por defecto saca 4326 mal reproyectado (sin la rejilla del IGN)
#esri2geojson http://iws.munimadrid.es/arcgis/rest/services/DGPV/DGPV_ALCORQUE_ARBOL/MapServer/0 /tmp/arboles.geojson

# Sacar URL rest cuando cambia la web "Un Alcorque un Árbol" . 202209: https://www-s.madrid.es/DGPVE_WUAUA/irAMapa.do
# Tarda unos 10 minutos
esri2geojson  --param "query?where=OBJECTID&f=json" https://sigma.madrid.es/vector/rest/services/MTMOV/MPUAUA/MapServer/0 Arbolado_Viario-23030.json || exit 1

mv Arbolado_Viario-23030.json "$CURRENTDIR" || exit 1

exit 0

